package com.zd.alg.alarm.domain;

import cn.hutool.json.JSONUtil;
import com.zd.common.core.annotation.Excel;
import com.zd.common.core.web.domain.BaseEntity;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;

/**
 * 电话报警推送日志对象 alarm_log
 *
 * @author liubo
 * @date 2021-11-11
 */
@ApiModel("电话报警推送日志")
public class AlarmLog extends BaseEntity {
    private static final long serialVersionUID = 1L;

    /**
     * $column.columnComment
     */
    @ApiModelProperty(value = "${comment}")
    private Long id;
    /**
     * 电话号码
     */
    @Excel(name = "电话号码")
    @ApiModelProperty(value = "电话号码")
    private String phone;
    /**
     * 报警状态（字符串）
     */
    @Excel(name = "报警状态", readConverterExp = "字=符串")
    @ApiModelProperty(value = "报警状态")
    private String status;
    /**
     * 报警内容
     */
    @Excel(name = "报警内容")
    @ApiModelProperty(value = "报警内容")
    private String notice;
    /**
     * 报警方式
     */
    @Excel(name = "报警方式")
    @ApiModelProperty(value = "报警方式")
    private String method;
    /**
     * 是否回写（0 默认，1 已回写）
     */
    @Excel(name = "是否回写", readConverterExp = "0=默认，1=已回写")
    @ApiModelProperty(value = "是否回写")
    private Integer isBack;

    public void setId(Long id) {
        this.id = id;
    }

    public Long getId() {
        return id;
    }

    public void setPhone(String phone) {
        this.phone = phone;
    }

    public String getPhone() {
        return phone;
    }

    public void setStatus(String status) {
        this.status = status;
    }

    public String getStatus() {
        return status;
    }

    public void setNotice(String notice) {
        this.notice = notice;
    }

    public String getNotice() {
        return notice;
    }

    public void setMethod(String method) {
        this.method = method;
    }

    public String getMethod() {
        return method;
    }

    public void setIsBack(Integer isBack) {
        this.isBack = isBack;
    }

    public Integer getIsBack() {
        return isBack;
    }

    @Override
    public String toString() {
        return JSONUtil.toJsonStr(this);
    }
}
